### Method

# Ide ConfigProvider emit_removed

#### Declaration

    void
    ide_config_provider_emit_removed (
      IdeConfigProvider* self,
      IdeConfig* config
    )

#### Description

`IdeConfigProvider` implementations should call this function with a `config` when it has discovered it was removed.

Available since: | 3.32

#### Parameters

`config` | `IdeConfig`
| An `IdeConfig`.
| The data is owned by the caller of the function.